Skip to main content
Back to API List To update the NLP thresholds and configurations.
FieldValue
MethodPOST
Endpointhttps://{{host}}/api/public/bot/{{BotID}}/configurations?language={{languageCode}}&groupName={{groupName}}
Content Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token.
API ScopeApp Builder: NLP Configurations; Admin Console: Test > NLP Configurations & Train

Query Parameters

ParameterDescriptionRequired
hostThe environment URL. For example, https://platform.kore.aiRequired
BotIDThe Bot ID or Stream ID that can be accessed under General Settings on the App Builder.Required
languageCodeThe Bot language in which the configurations need to be updated.Required
groupNameThe GroupName can be used to update the ML parameters of a specific group. To update Bot level Intent Model Configurations, groupName should be set to "Bot Level Intent Model".Required for Multiple ML Model

Sample Request

curl --location -g --request POST 'https://{{host}}/api/public/bot/{{bot-id}}/configurations?language={{languageCode}}' \
  --header 'auth: YOUR_JWT_ACCESS_TOKEN' \
--header 'content-type: application/json' \
--data-raw '{
    "advancedNLPSettings": [
        {
            "configurationKeyName": "network",
            "configurationValue": "Few-shot Model (Kore.ai Hosted Embeddings)",
            "nlpEngine": "ML"
        }
    ],
    "configurations": [
        {
            "mode": "ml",
            "exactMatchThreshold": 85,
            "useDependencyParser": true,
            "minThreshold": 0.2
        },
        {
            "mode": "faq",
            "useBotSynonyms": true,
            "searchInAnswer": {
                "enabled": true,
                "notifyUser": false,
                "responseType": "relevantWithReadMore",
                "customReadMoreURL": "aa",
                "useCustomReadMoreURL": true
            }
        }
    ],
    "mlParams": {
        "intentParams": {
            "features": "skip_gram",
            "skip_gram": {
                "seqLength": 3,
                "maxSkipDistance": 2
            }
        },
        "mlConfigurations": {
            "NoneIntent": false
        }
    },
    "nlSettings": {
        "enableAutoUtteranceAddition": false,
        "enableNegativePatterns": true
    }
}'

Body Parameters

The parameters depend on the threshold configuration that needs to be updated.

Machine Learning Engine

{
    "configurations": [
        {
            "mode": "ml",
            "exactMatchThreshold": 90,
            "minThreshold": 0.4
        }
    ],
    "mlParams": {
        "intentParams": {
            "useSynonyms": true,
            "useStopwords": true,
            "usePlaceholders": true,
            "features": "skip_gram",
            "skip_gram": {
                "seqLength": 2,
                "maxSkipDistance": 1
            }
        },
        "nerParams": {
            "type": "corenlp"
        }
    }
}